resource "kubectl_manifest" "KubeVirt_kubevirt" {
  yaml_body  = <<-EOF
    apiVersion: kubevirt.io/v1
    kind: KubeVirt
    metadata:
      name: kubevirt
      namespace: ${var.namespace}
      ownerReferences: ${jsonencode(var.install_owner)}
      labels: ${jsonencode(local.common-labels)}
    spec:
      certificateRotateStrategy: {}
      configuration:
        developerConfiguration:
          featureGates: []
      customizeComponents: {}
      imagePullPolicy: IfNotPresent
      workloadUpdateStrategy: {}
EOF
}

